> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/rent-manager/purchase-orders/get-purchase-order-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get purchase order by ID GET https://api.propexo.com/v1/purchase-orders/{purchase_order_id} Get purchase order by ID Reference: https://docs.propexo.com/api-reference/rent-manager/purchase-orders/get-purchase-order-by-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `purchase_order_id` (string, required) — The Propexo unique identifier for the purchase order ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (PurchaseOrder, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### PurchaseOrder - `id` (string, required) — The Propexo unique identifier for the purchase order - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | GET /PurchaseOrders | - `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | |---| | GET /PurchaseOrders | - `x_location_id` (string, required, nullable) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations. | Method | |---| | GET /PurchaseOrders | - `x_invoice_id` (any, required) — The external ID of the invoice from the integration vendorThis field will always be null for RENTMANAGER - `x_vendor_id` (string, required, nullable) — The external ID of the vendor from the integration vendor | Method | |---| | GET /PurchaseOrders | - `x_parent_purchase_order_id` (any, required) — The external ID of the purchase order from the integration vendor. This field is not null if this is a change orderThis field will always be null for RENTMANAGER - `number` (string, required, nullable) — The number of the purchase order | Method | |---| | GET /PurchaseOrders | - `is_closed` (boolean, required, nullable) — Whether the purchase order is closed or not | Method | |---| | GET /PurchaseOrders | - `description` (string, required, nullable) — Description of the purchase order | Method | |---| | GET /PurchaseOrders | - `total_amount_in_cents` (double, required, nullable) — The amount of the purchase order, in cents | Method | |---| | GET /PurchaseOrders | - `order_date` (string, required, nullable) — The order date for the purchase order | Method | |---| | GET /PurchaseOrders | - `expense_type` (any, required) — The expense type of the purchase orderThis field will always be null for RENTMANAGER - `display_type` (any, required) — The display type of the purchase orderThis field will always be null for RENTMANAGER - `status_raw` (string, required, nullable) — The raw status associated with the purchase order | Method | |---| | GET /PurchaseOrders | - `shipping_address_1` (string, required, nullable) — The first address line associated with the shipping address for the purchase orderDue to Rent Manager API limitations, we are unable to separate the components of an address | Method | | ------------------- | | GET /PurchaseOrders | - `shipping_address_2` (any, required) — The second address line associated with the shipping address for the purchase orderThis field will always be null for RENTMANAGER - `shipping_city` (any, required) — The city associated with the shipping address for the purchase orderThis field will always be null for RENTMANAGER - `shipping_state` (any, required) — The state associated with the shipping address for the purchase orderThis field will always be null for RENTMANAGER - `shipping_zip` (any, required) — The zip code associated with the shipping address for the purchase orderThis field will always be null for RENTMANAGER - `shipping_country` (any, required) — The country associated with the shipping address for the purchase orderThis field will always be null for RENTMANAGER - `billing_address_1` (string, required, nullable) — The first address line associated with the billing address for the purchase orderDue to Rent Manager API limitations, we are unable to separate the components of an address | Method | | ------------------- | | GET /PurchaseOrders | - `billing_address_2` (any, required) — The second address line associated with the billing address for the purchase orderThis field will always be null for RENTMANAGER - `billing_city` (any, required) — The city associated with the billing address for the purchase orderThis field will always be null for RENTMANAGER - `billing_state` (any, required) — The state associated with the billing address for the purchase orderThis field will always be null for RENTMANAGER - `billing_zip` (any, required) — The zip code associated with the billing address for the purchase orderThis field will always be null for RENTMANAGER - `billing_country` (any, required) — The country associated with the billing address for the purchase orderThis field will always be null for RENTMANAGER - `custom_data` (PurchaseOrderCustomData, required, nullable) - `associated_invoice_ids` (list of string, required) — An array of all other invoices associated with a purchase order. This includes invoices that associated with specific purchase order items.This field is not currently hydrated for RENTMANAGER - `property_id` (string, required) — The Propexo unique identifier for the property - `integration_id` (string, required) — The Propexo unique identifier for the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `RENTMANAGER`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST` - `invoice_id` (any, required) — The Propexo unique identifier for the invoiceThis field will always be null for RENTMANAGER - `vendor_id` (string, required, nullable) — The Propexo unique identifier for the vendor | Method | |---| | GET /PurchaseOrders | - `parent_purchase_order_id` (any, required) — The Propexo unique identifier for the purchase order. This field is not null if this is a change orderThis field will always be null for RENTMANAGER ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ### PurchaseOrderCustomData ## Examples **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "101", "x_property_id": "na", "x_location_id": "1", "x_invoice_id": null, "x_vendor_id": "245", "x_parent_purchase_order_id": null, "number": "PO-1001", "is_closed": true, "description": "Monthly maintenance supplies", "total_amount_in_cents": 25000, "order_date": "2024-06-18", "expense_type": null, "display_type": null, "status_raw": "Pending", "shipping_address_1": "410 Southblock Ave Unit 415 Cincinnati OH 45202", "shipping_address_2": null, "shipping_city": null, "shipping_state": null, "shipping_zip": null, "shipping_country": null, "billing_address_1": "100 Main St Suite 200 Chicago IL 60601", "billing_address_2": null, "billing_city": null, "billing_state": null, "billing_zip": null, "billing_country": null, "custom_data": {}, "associated_invoice_ids": [ "string" ], "property_id": "clwi5xiix000008l6ctdgafyh", "integration_id": "clwh5u07w000508me66sfh3um", "integration_vendor": "RENTMANAGER", "invoice_id": null, "vendor_id": "cmgjprasu79183794371b9g9kvrcrejv", "parent_purchase_order_id": null } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/purchase-orders/purchase_order_id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/purchase-orders/purchase_order_id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/purchase-orders/purchase_order_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/purchase-orders/purchase_order_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/purchase-orders/purchase_order_id") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/purchase-orders/purchase_order_id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/purchase-orders/purchase_order_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/purchase-orders/purchase_order_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```